Package com.google.android.exoplayer2.trackselection

## Interface ExoTrackSelection.Factory

- All Known Implementing Classes:
    `AdaptiveTrackSelection.Factory`, `RandomTrackSelection.Factory`
  Enclosing interface:
    ExoTrackSelection

      public static interface ExoTrackSelection.Factory

  Factory for `ExoTrackSelection` instances.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `@NullableType ExoTrackSelection[]` | `createTrackSelections​(@NullableType ExoTrackSelection.Definition[] definitions, BandwidthMeter bandwidthMeter, MediaSource.MediaPeriodId mediaPeriodId, Timeline timeline)` | Creates track selections for the provided `Definitions`.

- - ### Method Detail

    - #### createTrackSelections

          @NullableType ExoTrackSelection[] createTrackSelections​(@NullableType ExoTrackSelection.Definition[] definitions,
                                                                  BandwidthMeter bandwidthMeter,
                                                                  MediaSource.MediaPeriodId mediaPeriodId,
                                                                  Timeline timeline)

      Creates track selections for the provided `Definitions`.

      Implementations that create at most one adaptive track selection may use `TrackSelectionUtil.createTrackSelectionsForDefinitions(com.google.android.exoplayer2.trackselection.ExoTrackSelection.Definition[], com.google.android.exoplayer2.trackselection.TrackSelectionUtil.AdaptiveTrackSelectionFactory)`.

      Parameters:
        `definitions` - A `ExoTrackSelection.Definition` array. May include null values.
        `bandwidthMeter` - A `BandwidthMeter` which can be used to select tracks.
        `mediaPeriodId` - The `MediaSource.MediaPeriodId` of the period for which tracks are to be selected.
        `timeline` - The `Timeline` holding the period for which tracks are to be selected.
      Returns:
        The created selections. Must have the same length as `definitions` and may include null values.